commit: 219402d4f23e42463b83542af0f54cdbd91c1d6e
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Mar 12 12:38:55 2020 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Mar 12 12:38:55 2020 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=219402d4
dev-util/codespell: version bump and add py3_8
also enabled tests
Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
dev-util/codespell/Manifest | 2 +-
...spell-1.15.0.ebuild => codespell-1.16.0.ebuild} | 22 +++++++++++++++++++---
2 files changed, 20 insertions(+), 4 deletions(-)
diff --git a/dev-util/codespell/Manifest b/dev-util/codespell/Manifest
index 78b8ef7..a5db985 100644
--- a/dev-util/codespell/Manifest
+++ b/dev-util/codespell/Manifest
@@ -1 +1 @@
-DIST codespell-1.15.0.tar.gz 121819 BLAKE2B
494fadd4cee14b5280ffc5989914d81853f3d68e1292f367832297f8a604611f0ec8244b7ae0f9bae7cc798956d1797fa163229ef38d8949e162cf2e10314074
SHA512
5a8489ddb59a514670f02be336c023ccc4c3a1bc0f86e0ec1292d599837ce6f3ec8e1dbb66013d9ec25d5183129ee810623165fb8bbacc71759695581a3c1795
+DIST codespell-1.16.0.tar.gz 136752 BLAKE2B
8abe6ac0fc162263cdfbcbfc4868786e41f9d95e32658a042f062d12f22248ace1cb7f1213c1436314d88973d683fb8c4c1fce86cd08bd6af72b7b5eae1f0086
SHA512
8ac1f05dba47ebebdaecff212a36af4d888585d91efe9bb75bb4e3148a39528222a088936dc265f9ad5d87319b786863d2c07a170a13a061c31ee6c6ee10bbe8
diff --git a/dev-util/codespell/codespell-1.15.0.ebuild
b/dev-util/codespell/codespell-1.16.0.ebuild
similarity index 51%
rename from dev-util/codespell/codespell-1.15.0.ebuild
rename to dev-util/codespell/codespell-1.16.0.ebuild
index caf8227..f86ee93 100644
--- a/dev-util/codespell/codespell-1.15.0.ebuild
+++ b/dev-util/codespell/codespell-1.16.0.ebuild
@@ -1,9 +1,12 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
inherit distutils-r1
DESCRIPTION="Check text files for common misspellings"
@@ -15,4 +18,17 @@
SRC_URI="https://github.com/${PN}-project/${PN}/archive/v${PVR}.tar.gz -> ${P}.t
LICENSE="GPL-2 CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE=""
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # do not depend on pytest-cov
+ sed -i -e '/addopts/d' setup.cfg || die
+
+ # This will fail if the package itself
+ # is not yet installed
+ sed -i -e 's:test_command:_&:' \
+ codespell_lib/tests/test_basic.py
+
+ distutils-r1_python_prepare_all
+}